getProductImages.v2
POST
/shopgate.catalog.getProductImages.v2
This pipeline retrieves the product images. The BasicProduct, which is returned by getProduct and getProducts, only holds the first one.
Request Body
Section titled “Request Body”Media typeapplication/json
object
productId
required
string
Example
1formats
required
Array<object>
object
width
integer
Example
1024height
integer
Example
1024Responses
Section titled “Responses”Successful response.
Media typeapplication/json
object
images
Array<object>
For each format, an entry with images and the used format
object
width
Width of images
integer
height
Height of images
integer
sources
List of image urls
array
Example
{ "images": [ { "width": 440, "height": 440, "sources": [ "https://product-image-1-url-with-applied-params-in-440x440", "https://product-image-2-url-with-applied-params-in-440x440" ] }, { "width": 1024, "height": 1024, "sources": [ "https://product-image-1-url-with-applied-params-in-1024x1024", "https://product-image-2-url-with-applied-params-in-1024x1024" ] } ]}
